export function mergeSnippets(leftSnippets, rightSnippets) {
    const mergedSnippets = { ...leftSnippets };
    for (const [key, value] of Object.entries(rightSnippets ?? {})) {
        mergedSnippets[key] = [...(mergedSnippets[key] ?? []), ...value];
    }
    return Object.keys(mergedSnippets).length > 0 ? mergedSnippets : undefined;
}
